#ifndef PROPERTY_H
#define PROPERTY_H

#include <QTableWidget>
#include <QGraphicsItem>

class PropertyTable : public QTableWidget
{
private:
    QTableWidgetItem * addTableLine (QString name, QString value);
    void addColorLine (QString name, QColor value);

public:
    PropertyTable (QWidget * parent = nullptr);
    ~ PropertyTable ();

    void displayProperties (QGraphicsItem * item);
};

#endif // PROPERTY_H
